﻿@{
    ViewData["Title"] = "Mutabaah Siswa";
}

<section class="section">
    <div class="section-header">
        <h1>Laporan Mutabaah Siswa</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Laporan</a></div>
            <div class="breadcrumb-item active"><a href="#">Mutabaah Siswa</a></div>
        </div>
    </div>
    <div class="section-body">
        <div class="alert alert-primary" id="Periode">
            <div class="form-row">
                <div class="col-md-6 text-left">
                    <b>Tanggal</b> : <span id="TanggalAwal">Sedang Muat</span> - <span id="TanggalAkhir">Sedang Muat</span>
                </div>
                <div class="col-md-6 text-right">
                    <button type="button" class="btn btn-info btn-sm" data-toggle="modal" data-target="#ModalPencarian"><i class="fa fa-filter"></i> Cari Tanggal</button>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelUnit" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Unit</th>
                                <th>Jumlah</th>
                                <th>Sudah Isi</th>
                                <th>Belum Isi</th>
                                <th>Aksi</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Unit</th>
                                <th>Jumlah</th>
                                <th>Sudah Isi</th>
                                <th>Belum Isi</th>
                                <th>Aksi</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>

                <div id="EvalHarianKelas" class="pt-4" style="display:none">
                    <div class="table-responsive">
                        <table id="TabelEvalHarianKelas" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Jumlah</th>
                                    <th>Sudah Isi</th>
                                    <th>Belum Isi</th>
                                    <th>Aksi</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Jumlah</th>
                                    <th>Sudah Isi</th>
                                    <th>Belum Isi</th>
                                    <th>Aksi</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>

                <div id="EvalHarianKelasParalel" class="pt-4" style="display:none">
                    <div class="table-responsive">
                        <table id="TabelEvalHarianKelasParalel" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Kelas Paralel</th>
                                    <th>Jumlah</th>
                                    <th>Sudah Isi</th>
                                    <th>Belum Isi</th>
                                    <th>Aksi</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Unit</th>
                                    <th>Kelas</th>
                                    <th>Kelas Paralel</th>
                                    <th>Jumlah</th>
                                    <th>Sudah Isi</th>
                                    <th>Belum Isi</th>
                                    <th>Aksi</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>

                <div id="EvalHarianList" class="pt-4" style="display:none">
                    <input hidden id="IdKelasParalelDownload" />
                    <input hidden id="TanggalDownload" />
                    <button type="button" class="btn btn-primary" onclick="DownloadLapMutabaahSiswa()">Download</button>
                    <div class="table-responsive">
                        <table id="TabelEvalHarianList" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Nama Unit</th>
                                    <th>Kelas</th>
                                    <th>Kelas Paralel</th>
                                    <th>Nama Siswa</th>
                                    <th>Minggu</th>
                                    <th>Senin</th>
                                    <th>Selasa</th>
                                    <th>Rabu</th>
                                    <th>Kamis</th>
                                    <th>Jumat</th>
                                    <th>Sabtu</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Nama Unit</th>
                                    <th>Kelas</th>
                                    <th>Kelas Paralel</th>
                                    <th>Nama Siswa</th>
                                    <th>Minggu</th>
                                    <th>Senin</th>
                                    <th>Selasa</th>
                                    <th>Rabu</th>
                                    <th>Kamis</th>
                                    <th>Jumat</th>
                                    <th>Sabtu</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>

                <div id="EvalHarianSiswa" class="pt-4" style="display:none">
                    <div class="table-responsive pt-5">
                        <p id="JudulMutabaahSiswa"> </p>
                        <table id="TabelEvalHarianSiswa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Nama Mutabaah</th>
                                    <th>Sudah Dilakukan</th>
                                    <th>Catatan</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Nama Mutabaah</th>
                                    <th>Sudah Dilakukan</th>
                                    <th>Catatan</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>

            </div>
        </div>
    </div>

</section>

<div class="modal fade" id="ModalPencarian" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Pencarian</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <form id="FormPencarian" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Tanggal</label>
                        <div class="col-sm-8"><input type="text" id="TanggalPencarian" name="TanggalPencarian" data-toggle="datepicker-maxtoday" class="form-control" placeholder="dd-mm-yyyy" readonly /></div>
                    </div>
                </form>
            </div>
            <div class="modal-footer"><button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button> <button type="button" class="btn btn-primary" id="BtnProses" onclick="Pencarian();">Simpan</button></div>
        </div>
    </div>
</div>